## shell-stack shell-stack — Pure "Z-axis" container class |

## Types and Values

#define | SHELL_TYPE_STACK
| ShellStack

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── ShellStack

## Implemented Interfaces

ShellStack implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

A ShellStack draws its children on top of each other, aligned to the top left. It will be sized in width/height according to the largest such dimension of its children, and all children will be allocated that size. This differs from ClutterGroup which allocates its children their natural size, even if that would overflow the size allocated to the stack.

## Functions

## Types and Values

### SHELL_TYPE_STACK

    #define SHELL_TYPE_STACK (shell_stack_get_type ())

### ShellStack

    typedef struct _ShellStack ShellStack;